function $AdfScrollComponentIntoViewBehavior$$($componentId$$14$$, $focus$$3$$, $subTargetId$$3$$) {
  this.Init($componentId$$14$$, $focus$$3$$, $subTargetId$$3$$);
}
$goog$exportSymbol$$("AdfScrollComponentIntoViewBehavior", $AdfScrollComponentIntoViewBehavior$$);
$AdfObject$$.$createSubclass$($AdfScrollComponentIntoViewBehavior$$, $AdfClientBehavior$$);
$AdfScrollComponentIntoViewBehavior$$.prototype.$initialize$ = function $$AdfScrollComponentIntoViewBehavior$$$$$initialize$$($component$$264$$) {
  $component$$264$$.addEventListener($AdfActionEvent$$.$ACTION_EVENT_TYPE$, this.$fire$, this);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfScrollComponentIntoViewBehavior.prototype.initialize", {$initialize$:$AdfScrollComponentIntoViewBehavior$$.prototype.$initialize$});
$AdfScrollComponentIntoViewBehavior$$.prototype.$fire$ = function $$AdfScrollComponentIntoViewBehavior$$$$$fire$$($event$$100_source$$117$$) {
  $event$$100_source$$117$$.cancel();
  $event$$100_source$$117$$ = $event$$100_source$$117$$.getSource();
  var $componentId$$15$$ = this.$_componentId$, $component$$265$$ = $event$$100_source$$117$$.$findComponent$($componentId$$15$$), $logger$$3$$ = $AdfLogger$$.$LOGGER$;
  $component$$265$$ ? $component$$265$$.scrollIntoView(this.$_focus$, this.$_subTargetId$) : $logger$$3$$.severe("Could not find component " + $componentId$$15$$ + " from component " + $event$$100_source$$117$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfScrollComponentIntoViewBehavior.prototype.fire", {$fire$:$AdfScrollComponentIntoViewBehavior$$.prototype.$fire$});
$AdfScrollComponentIntoViewBehavior$$.prototype.Init = function $$AdfScrollComponentIntoViewBehavior$$$$Init$($componentId$$16$$, $focus$$4$$, $subTargetId$$4$$) {
  $AdfScrollComponentIntoViewBehavior$$.$superclass$.Init.call(this);
  $AdfAssert$$.assert(null != $componentId$$16$$);
  this.$_componentId$ = $componentId$$16$$;
  this.$_focus$ = $focus$$4$$;
  this.$_subTargetId$ = $subTargetId$$4$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfScrollComponentIntoViewBehavior.prototype.Init", {Init:$AdfScrollComponentIntoViewBehavior$$.prototype.Init});
